/**
 * Created by CSL on 2017-03-22.
 */

let express = require('express');
let frController = require('../controllers/fee_rates_controller');

module.exports = function (app) {

    var frRouter = express.Router();
    frRouter.get('/', function(req, res) {
        frController.libNames(req, res);
        res.render('building_saas/fee_rates/fee_rate', {});
    });
    frRouter.post('/getFeeRateStandards', frController.getFeeRateStandards);
    frRouter.post('/changeFeeRateStandard', frController.changeFeeRateStandard);
    frRouter.post('/checkFeeRateName', frController.checkFeeRateName);
    frRouter.post('/getChangeInfo', frController.getChangeInfo);
    frRouter.post('/changeFeeRateFileFromCurrent', frController.changeFeeRateFileFromCurrent);
    frRouter.post('/changeFeeRateFileFromOthers', frController.changeFeeRateFileFromOthers);
    frRouter.post('/setFeeRateToBill', frController.setFeeRateToBill);
    frRouter.post('/updateFeeRate', frController.updateFeeRate);
    frRouter.post('/updateFeeRates', frController.updateFeeRates);
    frRouter.post('/updateRates', frController.updateRates);
    frRouter.post('/feeRateFileSaveAs', frController.feeRateFileSaveAs);
    app.use('/feeRates',frRouter);
}




